
-- quick and nasty button

Button = Core.class(Bitmap)

function Button:init(texture, options)
  self.x = 0
  self.y = 0
  self.onPressed = nil
  self.enabled = true
  self.visible = true
	if options then
		for key, value in pairs(options) do
			self[key]= value
		end
	end
  self:setVisible(self.visible)
  self:setAnchorPoint(0.5, 0.5)
  self:setPosition(self.x, self.y)
  self:addEventListener(Event.TOUCHES_BEGIN, self.pressed, self) -- ADD EVENT HANDLERS
end

function Button:enable(state)
  self.enabled = state
end

function Button:show(state)
  self.visible = state
  self:setVisible(state)
end

function Button:pressed(e) -- Handle touch event
  if not self.enabled then return end
  if self:hitTestPoint(e.touch.x, e.touch.y) then
    e:stopPropagation()
    if self.onPressed then
      self.onPressed(self) -- Perform action
    end
  end
end
